# HG changeset patch
# Node ID a00b928cedd026e2be98f79d59de9a6230a4657e
# Parent  7621ef6ea06aff5e53b711f729ec1b59c7b5c8fe
diff --git a/pidgin/pidgininfopane.c b/pidgin/pidgininfopane.c
--- a/pidgin/pidgininfopane.c
+++ b/pidgin/pidgininfopane.c
@@ -59,6 +59,30 @@
 	return ret;
 }
 
+static void
+pidgin_info_pane_subtitle_enter_cb(GtkEventControllerMotion *self,
+                                   G_GNUC_UNUSED gdouble x,
+                                   G_GNUC_UNUSED gdouble y,
+                                   G_GNUC_UNUSED gpointer data)
+{
+	GtkWidget *label = NULL;
+
+	label = gtk_event_controller_get_widget(GTK_EVENT_CONTROLLER(self));
+	gtk_label_set_lines(GTK_LABEL(label), 10);
+}
+
+static void
+pidgin_info_pane_subtitle_leave_cb(GtkEventControllerMotion *self,
+                                   G_GNUC_UNUSED gdouble x,
+                                   G_GNUC_UNUSED gdouble y,
+                                   G_GNUC_UNUSED gpointer data)
+{
+	GtkWidget *label = NULL;
+
+	label = gtk_event_controller_get_widget(GTK_EVENT_CONTROLLER(self));
+	gtk_label_set_lines(GTK_LABEL(label), 2);
+}
+
 /******************************************************************************
  * GObject Implementation
  *****************************************************************************/
@@ -176,6 +200,10 @@
 
 	gtk_widget_class_bind_template_callback(widget_class,
 	                                        pidgin_info_pane_linkify_text_cb);
+	gtk_widget_class_bind_template_callback(widget_class,
+	                                        pidgin_info_pane_subtitle_enter_cb);
+	gtk_widget_class_bind_template_callback(widget_class,
+	                                        pidgin_info_pane_subtitle_leave_cb);
 }
 
 /******************************************************************************
diff --git a/pidgin/resources/Conversations/conversation.ui b/pidgin/resources/Conversations/conversation.ui
--- a/pidgin/resources/Conversations/conversation.ui
+++ b/pidgin/resources/Conversations/conversation.ui
@@ -43,16 +43,10 @@
                 </lookup>
               </closure>
             </binding>
-            <binding name="tooltip-markup">
-              <closure type="gchararray" function="pidgin_conversation_escape_topic">
-                <lookup name="topic" type="PurpleConversation">
-                  <lookup name="conversation">PidginConversation</lookup>
-                </lookup>
-              </closure>
-            </binding>
             <property name="child">
               <object class="GtkBox">
                 <property name="orientation">horizontal</property>
+                <property name="valign">start</property>
                 <child>
                   <object class="GtkToggleButton" id="toggle_flap">
                     <property name="icon-name">view-dual-symbolic</property>
diff --git a/pidgin/resources/infopane.ui b/pidgin/resources/infopane.ui
--- a/pidgin/resources/infopane.ui
+++ b/pidgin/resources/infopane.ui
@@ -37,6 +37,7 @@
             <property name="valign">center</property>
             <child>
               <object class="GtkLabel" id="title">
+                <property name="selectable">true</property>
                 <binding name="label">
                   <lookup name="title">PidginInfoPane</lookup>
                 </binding>
@@ -48,6 +49,7 @@
             </child>
             <child>
               <object class="GtkLabel" id="subtitle_label">
+                <property name="selectable">true</property>
                 <binding name="label">
                   <closure type="gchararray" function="pidgin_info_pane_linkify_text_cb" object="subtitle_label">
                       <lookup name="subtitle">PidginInfoPane</lookup>
@@ -59,6 +61,12 @@
                 <property name="wrap">yes</property>
                 <property name="wrap-mode">word-char</property>
                 <property name="xalign">0</property>
+                <child>
+                  <object class="GtkEventControllerMotion">
+                    <signal name="enter" handler="pidgin_info_pane_subtitle_enter_cb"/>
+                    <signal name="leave" handler="pidgin_info_pane_subtitle_leave_cb"/>
+                  </object>
+                </child>
               </object>
             </child>
           </object>
